%define real_name	POE-Filter-IRCD
%define name		perl-%{real_name}
%define version		1.2
%define release		1mdk

Summary:	A POE-based parser for the IRC protocol
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-root
URL:		http://search.cpan.org/dist/%{real_name}
Source:		http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/%{real_name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:	perl-POE
BuildRequires:  perl-POE

%description
POE::Filter::IRCD is a Perl module that provides a convenient way of parsing
and creating IRC protocol lines.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/POE/*
%_mandir/*/*

%changelog
* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdk
- new version 
- fix sources url for rpmbuildupdate

* Fri Jun 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.1-1mdk
- First Mandriva release
